package com.qmth.teachcloud.report.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 考务数据导入模板
 * @Author: CaoZixuan
 * @Date: 2021-06-22
 */
public class ExaminationDto implements Serializable {
    @ExcelNote(value = "课头号")
    @NotNull
    private String courseHeaderCode;

    @ExcelNote(value = "课程号")
    @NotNull
    private String courseExaminationCode;

    @ExcelNote(value = "课程名")
    @NotNull
    private String courseName;

    @ExcelNote(value = "教师号")
    @NotNull
    private String teacherCode;

    @ExcelNote(value = "教师")
    @NotNull
    private String teacherName;

    @ExcelNote(value = "授课学院")
    @NotNull
    private String teachCollegeName;

    @ExcelNote(value = "学分")
    private String credit;

    @ExcelNote(value = "学号")
    @NotNull
    private String studentCode;

    @ExcelNote(value = "学生姓名")
    @NotNull
    private String studentName;

    @ExcelNote(value = "学生学院")
    @NotNull
    private String inspectCollegeName;

    @ExcelNote(value = "专业")
    @NotNull
    private String major;

    @ExcelNote(value = "学习类型")
    @NotNull
    private String studyType;

    @ExcelNote(value = "年级")
    @NotNull
    private String grade;

    public String getCourseHeaderCode() {
        return courseHeaderCode;
    }

    public void setCourseHeaderCode(String courseHeaderCode) {
        this.courseHeaderCode = courseHeaderCode;
    }

    public String getCourseExaminationCode() {
        return courseExaminationCode;
    }

    public void setCourseExaminationCode(String courseExaminationCode) {
        this.courseExaminationCode = courseExaminationCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public String getCredit() {
        return credit;
    }

    public void setCredit(String credit) {
        this.credit = credit;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getInspectCollegeName() {
        return inspectCollegeName;
    }

    public void setInspectCollegeName(String inspectCollegeName) {
        this.inspectCollegeName = inspectCollegeName;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getStudyType() {
        return studyType;
    }

    public void setStudyType(String studyType) {
        this.studyType = studyType;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }
}
